Subject: Re: bug#44604: 27.1; gpg error when language environment is set to Turkish

From: Fatih Aydin <[email-masked]>
Date: Sat, 14 Nov 2020 17:09:54 +0000

Yes, you are right Lars, I've also realized that this is an error from
proxy.el file.
I don't use any kind of proxy, the steps are really simple to produce this
error.

Step 1: Run 'emacs -Q'
Step 2: M-x and type 'set-language-environment'. Write the value 'Turkish'.
Step 3: M-x and 'eww'. Try to visit 'google.com' or any website you want.

That's all, you'll get a couple of 'Emergency (url): Unknown proxy
directive: DIRECT'
On step 2, I've tried a bunch of different languages, the only problematic
one is Turkish.

On Sat, Nov 14, 2020 at 4:39 PM Lars Ingebrigtsen <[email-masked]> wrote:

> Fatih Aydin <[email-masked]> writes:
>
> > Additional info: When I try to connect a website using eww, I again get
> this
> > message a few more times while the website is loading:
> > Emergency (url): Unknown proxy directive: DIRECT
>
> So it doesn't sound like this has anything to do with GPG, but is a
> problem with whatever you're using as an HTTP(S) proxy?
>
> Do you have a step-by-step recipe for reproducing this error, starting
> from "emacs -Q"?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>